Bug 1121176 - missing interface definitions
Summary: missing interface definitions
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: selinux-policy
Version: 5.11
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Miroslav Grepl
QA Contact: Milos Malik
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-18 14:42 UTC by Milos Malik
Modified: 2014-08-07 12:29 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-07 12:29:33 UTC


Attachments (Terms of Use)

Description Milos Malik 2014-07-18 14:42:33 UTC
Description of problem:

Version-Release number of selected component (if applicable):
selinux-policy-minimum-2.4.6-351.el5
selinux-policy-mls-2.4.6-351.el5
selinux-policy-devel-2.4.6-351.el5
selinux-policy-targeted-2.4.6-351.el5
selinux-policy-2.4.6-351.el5
selinux-policy-strict-2.4.6-351.el5

How reproducible:
always

Steps to Reproduce:
# sepolgen-ifgen -v -d 2>/dev/null | sort | uniq | grep -i missing

Actual results:
Missing interface definition for ca_exec
Missing interface definition for gen_tunable
Missing interface definition for inetd_rw_tcp_sockets
Missing interface definition for inetd_use_fds
Missing interface definition for init_daemon_domain
Missing interface definition for init_dontaudit_lock_utmp
Missing interface definition for init_dontaudit_rw_utmp
Missing interface definition for init_dontaudit_use_fds
Missing interface definition for init_dontaudit_use_script_fds
Missing interface definition for init_dontaudit_use_script_ptys
Missing interface definition for init_dontaudit_write_utmp
Missing interface definition for init_exec
Missing interface definition for init_exec_script_files
Missing interface definition for init_getpgid
Missing interface definition for init_labeled_script_domtrans
Missing interface definition for init_manage_utmp
Missing interface definition for init_read_utmp
Missing interface definition for init_rw_utmp
Missing interface definition for init_script_domtrans_spec
Missing interface definition for init_script_file
Missing interface definition for init_script_file_domtrans
Missing interface definition for init_sigchld
Missing interface definition for init_signull
Missing interface definition for init_system_domain
Missing interface definition for init_telinit
Missing interface definition for init_use_fds
Missing interface definition for init_use_script_fds
Missing interface definition for init_use_script_ptys
Missing interface definition for mozilla_stream_connect_template
Missing interface definition for samba_domtrans_smbd
Missing interface definition for samba_run_smb
Missing interface definition for thunderbird_domtrans_user_thunderbird
Missing interface definition for userdom_attach_admin_tun_iface
Missing interface definition for userdom_user_home_type

Expected results:
 * all used interfaces are defined

Comment 2 RHEL Product and Program Management 2014-07-24 09:44:03 UTC
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.


Note You need to log in before you can comment on or make changes to this bug.